libmwaw_internal.cxx File Reference documentation

Namespaces | Functions
libmwaw_internal.cxx File Reference
`#include <cmath>`
`#include <cstdarg>`
`#include <cstdio>`
`#include <iomanip>`
`#include <string>`
`#include <sstream>`
`#include <time.h>`
`#include <ctype.h>`
`#include <locale.h>`
`#include <librevenge-stream/librevenge-stream.h>`
`#include "libmwaw_internal.hxx"`

## Namespaces
namespace | libmwaw
| namespace used to regroup all libwpd functions, enumerations which we have redefined for internal usage

## Functions
uint8_t | libmwaw::readU8 (librevenge::RVNGInputStream *input)
void | libmwaw::appendUnicode (uint32_t val, librevenge::RVNGString &buffer)
| adds an unicode character to a string
std::string | libmwaw::numberingTypeToString (NumberingType type)
std::string | libmwaw::numberingValueToString (NumberingType type, int value)
std::string | libmwaw::writingModeToString (WritingMode mode)
| a function to convert a writing mode in string lt-rb, ...
std::ostream & | operator<< (std::ostream &o, MWAWColor const &c)
bool | libmwaw::convertDTFormat (std::string const &dtFormat, librevenge::RVNGPropertyListVector &propVect)
| convert a DTFormat in a propertyList
std::ostream & | operator<< (std::ostream &o, MWAWBorder::Style const &style)
std::ostream & | operator<< (std::ostream &o, MWAWBorder const &border)
std::ostream & | operator<< (std::ostream &o, MWAWEmbeddedObject const &pict)
MWAWVec2f | libmwaw::rotatePointAroundCenter (MWAWVec2f const &point, MWAWVec2f const &center, float angle)
| rotate a point around center, angle is given in degree
MWAWBox2f | libmwaw::rotateBoxFromCenter (MWAWBox2f const &box, float angle)
| rotate a bdox and returns the final bdbox, angle is given in degree

## Function Documentation

## ◆ operator<<() [1/4]

std::ostream & operator<< | ( | std::ostream & | o,
|  | MWAWBorder const & | border
| ) |  |

## ◆ operator<<() [2/4]

std::ostream & operator<< | ( | std::ostream & | o,
|  | MWAWBorder::Style const & | style
| ) |  |

## ◆ operator<<() [3/4]

std::ostream & operator<< | ( | std::ostream & | o,
|  | MWAWColor const & | c
| ) |  |

## ◆ operator<<() [4/4]

std::ostream & operator<< | ( | std::ostream & | o,
|  | MWAWEmbeddedObject const & | pict
| ) |  |